Toggle triage via comment
curl --request POST \
--url https://semgrep.dev/api/agent/deployments/{deploymentId}/has_triage_via_comment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"hasTriageViaComment": true
}
'import requests
url = "https://semgrep.dev/api/agent/deployments/{deploymentId}/has_triage_via_comment"
payload = {
"deploymentId": "<string>",
"hasTriageViaComment": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({deploymentId: '<string>', hasTriageViaComment: true})
};
fetch('https://semgrep.dev/api/agent/deployments/{deploymentId}/has_triage_via_comment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasTriageViaComment": true
}Deployment
Toggle triage via comment
Enable or disable triaging findings by replying to Semgrep’s review comments.
POST
/
api
/
agent
/
deployments
/
{deploymentId}
/
has_triage_via_comment
Toggle triage via comment
This endpoint is experimental. It may change or be removed without notice and is not covered by API stability guarantees.
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Response
200 - application/json
OK
Was this page helpful?
⌘I